Optix 7.4 samples fail under VS2022

In spite of adding VS2019 build tools in installer i get a long list of errors.
I am not in the mood to edit 21 version checks…

Schweregrad	Code	Beschreibung	Projekt	Datei	Zeile	Unterdrückungszustand
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixNVLink	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	DemandLoading	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\lib\DemandLoading\PagingSystemKernels.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\lib\DemandLoading\CMakeLists.txt" wurde mit dem Code 1 beendet.	DemandLoading	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	sutil_7_sdk	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\cuda\sphere.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\cuda\whitted.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\sutil\CMakeLists.txt" wurde mit dem Code 1 beendet.	sutil_7_sdk	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixVolumeViewer	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixVolumeViewer\volume.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixVolumeViewer\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixVolumeViewer	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixTriangle\optixTriangle.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixTriangle\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixTriangle	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixWhitted\camera.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixWhitted\geometry.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixWhitted\shading.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixWhitted\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixWhitted	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixSimpleMotionBlur	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixSphere	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixPathTracer	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixOpticalFlow	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixPathTracer\optixPathTracer.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixPathTracer\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixPathTracer	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixRaycasting\optixRaycasting.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixRaycasting\optixRaycastingKernels.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixRaycasting\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixRaycasting	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixSimpleMotionBlur\optixSimpleMotionBlur.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixSimpleMotionBlur\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixSimpleMotionBlur	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixOpticalFlow\optixOpticalFlow.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixOpticalFlow\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixOpticalFlow	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixSphere\optixSphere.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixSphere\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixSphere	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixDynamicMaterials	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixDynamicGeometry	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixMultiGPU	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixNVLink\optixNVLink_kernels.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixNVLink\optixNVLink.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixNVLink\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixNVLink	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixMotionGeometry	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDynamicMaterials\optixDynamicMaterials.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDynamicMaterials\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixDynamicMaterials	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDynamicGeometry\optixDynamicGeometry.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDynamicGeometry\vertices.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDynamicGeometry\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixDynamicGeometry	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixMultiGPU\optixMultiGPU_kernels.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixMultiGPU\optixMultiGPU.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixMultiGPU\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixMultiGPU	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixMotionGeometry\optixMotionGeometry.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixMotionGeometry\vertices.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixMotionGeometry\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixMotionGeometry	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixHello	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixHair	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixCutouts	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	LNK1104	Datei "..\lib\Debug\sutil_7_sdk.lib" kann nicht geöffnet werden.	optixModuleCreateProcess	C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\build\optixModuleCreateAbort\LINK	1	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixCurves	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixHair\optixHair.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixHair\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixHair	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixHello\draw_solid_color.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixHello\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixHello	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	LNK1104	Datei "..\lib\Debug\sutil_7_sdk.lib" kann nicht geöffnet werden.	optixDenoiser	C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\build\optixDenoiser\LINK	1	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixCallablePrograms	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixBoundValues	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	LNK1104	Datei "..\lib\Debug\sutil_7_sdk.lib" kann nicht geöffnet werden.	optixMeshViewer	C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\build\optixMeshViewer\LINK	1	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixCutouts\optixCutouts.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixCutouts\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixCutouts	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	LNK1104	Datei "..\lib\Debug\sutil_7_sdk.lib" kann nicht geöffnet werden.	optixCompileWithTasks	C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\build\optixCompileWithTasks\LINK	1	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixDemandLoadSimple	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixCurves\optixCurves.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixCurves\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixCurves	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixCallablePrograms\optixCallablePrograms.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixCallablePrograms\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixCallablePrograms	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixDemandTexture	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixBoundValues\optixBoundValues.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixBoundValues\optixBoundValues_ch.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixBoundValues\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixBoundValues	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDemandLoadSimple\PageRequester.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDemandLoadSimple\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixDemandLoadSimple	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDemandTexture\optixDemandTexture.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixDemandTexture\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixDemandTexture	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	
Fehler	C1189	#error:  -- unsupported Microsoft Visual Studio version! Only the versions between 2017 and 2019 (inclusive) are supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.	optixModuleCreateAbort	C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.5\include\crt\host_config.h	160	
Fehler	MSB8066	Der benutzerdefinierte Build für "C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixModuleCreateAbort\optixModuleCreateAbort.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixModuleCreateAbort\optixModuleCreateAbort_ch.cu;C:\ProgramData\NVIDIA Corporation\OptiX SDK 7.4.0\SDK\optixModuleCreateAbort\CMakeLists.txt" wurde mit dem Code 1 beendet.	optixModuleCreateAbort	C:\Program Files\Microsoft Visual Studio\2022\Community\MSBuild\Microsoft\VC\v170\Microsoft.CppCommon.targets	242	

Hi @StefanG3D,

I haven’t tried using VS2022, but a couple of questions-

  • Did you select the VS2019 generator in cmake? Like so:

image

(You may need to delete your build folder and/or delete your cmake cache in order to re-select the VS2019 generator)

  • Is the VS2019 toolchain in your PATH environment variable? Before or after the VS2022 toolchain?


David.

I have now completely uninstalled VS and Optix and installed both again.
Now i could build the samples, don’t know what was wrong in first place.

Next issue:
the R510 CUDA on WSL / Insider drivers which already come with Optix 7.5 crash the samples.
Is that expected behaviour?
After downgrading to R495 i could finally run the samples.

You like living on the bleeding edge @StefanG3D !!

We have been getting surprised by WSL drivers because they are too far ahead of the regular Windows drivers. The 510 branch is still under active development! Yes, we recommend sticking with the same driver version as Windows, which is currently the 495 branch.


David.